Ändern der SSL-Version mit openssl auf dem WAMP-Server

Ich arbeite derzeit daran, Schwachstellen in TLS 1.0 zu testen. Ich habe eine Website erstellt und auf dem WAMP Server 2.4 gehostet. Ich benutze openssl, um selbst signierte Zertifikate für die SSL-Verschlüsselung zu erstellen. 1.01. Aber die aktuelle openssl-Version verwendet TLS 1.2. Ich möchte stattdessen TLS 1.0 verwenden, um einige Sicherheitslücken wie den in TLS 1.0 vorhandenen BEAST-Angriff zu testen. Ich würde gerne wissen, wie kann ich die Version ändern, so dass die Website jetzt TLS 1.0-Protokoll stattdessen verwendet.

0

1 Antworten

Versuchen Sie, dieses Handbuch zu lesen:

Dann in der \ wamp \ bin \ apache \ apachex.y.z \ conf \ extra \ httpd-ssl.conf diese Zeile finden

SSLProtocol all -SSLv2 

Ändern Sie dann diese Zeile so, dass nur das Protokoll, das Sie testen möchten, eingeschlossen ist, so dass es das einzige ist, das verwendet wird.

0
hinzugefügt